1.14 MP server login requirement

General feedback and discussion of the game.

Moderators: Forum Moderators, Developers

enclave
Posts: 910
Joined: December 15th, 2007, 8:52 am

Re: 1.14 MP server login requirement

Post by enclave » May 27th, 2018, 1:02 pm

Pentarctagon wrote:
May 27th, 2018, 7:33 am
I mean, is it really that hard to say that you don't want to talk right now/talk about that right now?
It is for me.. Because I understand human psychology ;) If they see me online or playing games for next 5 hours but not find time to talk it would look like I hate that person or something :D They will obviously make up the reason, and it won't be the same as your real reason.. So it will upset the person, when it doesn't have to..

User avatar
Pentarctagon
Forum Administrator
Posts: 3631
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: 1.14 MP server login requirement

Post by Pentarctagon » May 27th, 2018, 4:12 pm

enclave wrote:
May 27th, 2018, 1:02 pm
Pentarctagon wrote:
May 27th, 2018, 7:33 am
I mean, is it really that hard to say that you don't want to talk right now/talk about that right now?
It is for me.. Because I understand human psychology ;) If they see me online or playing games for next 5 hours but not find time to talk it would look like I hate that person or something :D They will obviously make up the reason, and it won't be the same as your real reason.. So it will upset the person, when it doesn't have to..
Every person who wants to talk to you in MP can't possibly be that easily offended.
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code

name
Posts: 358
Joined: January 6th, 2008, 3:32 am

Re: 1.14 MP server login requirement

Post by name » May 27th, 2018, 6:16 pm

enclave wrote:
May 26th, 2018, 11:18 pm
Pentarctagon wrote:
May 26th, 2018, 2:23 pm
Aren't you effectively ignoring people by constantly changing your username in order to avoid them though?
it's different :) they think you are not there.. so it can't upset people. People are such beings that get upset easily if you tell them something bad or ignore them.. but they totally dont care about anything that happens if you are just not there :) So YES you are ignoring them, but in a very very very nice way... they are 100% happy about this type of ignore..
I feel the same way. Also, after the typical long hiatuses, I can forget people who still remember me by my non-anonymous name. Or expect me to still be a decent player. :)

User avatar
Zap-Zarap
Posts: 154
Joined: March 16th, 2015, 2:18 pm

Re: 1.14 MP server login requirement

Post by Zap-Zarap » May 27th, 2018, 11:45 pm

:hmm: I wonder, why there is a "registered users only" button in game creation screen, when all users on official server must be registered anyway.
I like beavers.

User avatar
Ravana
Moderator
Posts: 1888
Joined: January 29th, 2012, 12:49 am
Location: Estonia
Contact:

Re: 1.14 MP server login requirement

Post by Ravana » May 28th, 2018, 12:12 am

Button was added before it was decided to require registration.

Toti83
Posts: 5
Joined: June 2nd, 2018, 4:49 pm

Re: 1.14 MP server login requirement

Post by Toti83 » June 2nd, 2018, 5:13 pm

1) It appears the Linux version is only available as source code; means less players
2) Ubuntu 16.04 is required, and apparently (after checking quickly) there's not even 16.04.1 available yet, while it's not recommended to install "16.04.0"; means less players
3) Apparently more system requirements for running 1.14 which my mini-laptop for example wouldn't handle - means less players, some like Wesnoth-like games for their low system requirements
4) The problems mentioned in this thread regarding 1.14 multiplayer

---> stick to 1.12 for multiplayer at least for now

Using 1.14 for multplayer has its problems, splitting the playerbase. For now I hope people stuck to 1.12 for MP games because of these reasons.

EDIT:
Two problems solved.
- there's a ppa that may solve problem 1
- I confused 16.04 with 18.04 which means problem 2 never existed except in my head
Last edited by Toti83 on June 2nd, 2018, 5:55 pm, edited 1 time in total.

User avatar
Pentarctagon
Forum Administrator
Posts: 3631
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: 1.14 MP server login requirement

Post by Pentarctagon » June 2nd, 2018, 5:27 pm

Toti83 wrote:
June 2nd, 2018, 5:13 pm
1) It appears the Linux version is only available as source code; means less players
Uhh...
There's a ppa.
There's a flatpak.
It's on Steam.
Toti83 wrote:
June 2nd, 2018, 5:13 pm
2) Ubuntu 16.04 is required, and apparently (after checking quickly) there's not even 16.04.1 available yet, while it's not recommended to install "16.04.0"; means less players
16.04 means 16.04.x, not 16.04.0.
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code

User avatar
octalot
Code Contributor
Posts: 215
Joined: July 17th, 2010, 7:40 pm

Re: 1.14 MP server login requirement

Post by octalot » June 2nd, 2018, 5:31 pm

Toti83 wrote:
June 2nd, 2018, 5:13 pm
Ubuntu 16.04 is required, and apparently (after checking quickly) there's not even 16.04.1 available yet
Erm, 16.04 doesn't mean 18.04. 16.04 has been out for 2 years.

Toti83
Posts: 5
Joined: June 2nd, 2018, 4:49 pm

Re: 1.14 MP server login requirement

Post by Toti83 » June 2nd, 2018, 5:42 pm

octalot wrote:
June 2nd, 2018, 5:31 pm
Toti83 wrote:
June 2nd, 2018, 5:13 pm
Ubuntu 16.04 is required, and apparently (after checking quickly) there's not even 16.04.1 available yet
Erm, 16.04 doesn't mean 18.04. 16.04 has been out for 2 years.
Sorry, I got confused. You're right. 18.04 would be a possible problem but 16.04 isn't.

On ppa etc, thank you, problem probably solved. Others on multiplayer 1.12 had similar problems.

Thank you Pentarctagon & octalot.

User avatar
GunChleoc
Translator
Posts: 448
Joined: September 28th, 2012, 7:35 am
Contact:

Re: 1.14 MP server login requirement

Post by GunChleoc » July 8th, 2018, 4:22 pm

I have Ubuntu 18.04 running on a Core Duo and it performs better than 16.04. You should give it a try.

User avatar
chol
Posts: 33
Joined: September 9th, 2015, 11:19 am

Re: 1.14 MP server login requirement

Post by chol » July 23rd, 2018, 5:14 pm

enclave wrote:
May 3rd, 2018, 8:27 pm
I suspect it has something to do with whether you are logged into wesnoth forum or not :)
It was happening all the time until I posted something on forum. After that no matter what it remembers my password.
Can this be still the case?
I updated Wesnoth 1.14.2 to 1.14.3 (cmake from tar-ball on Linux, running fine) and set up a GitHub for my UMCs, eventually -- only to now being unable to:

#1 get on MP server and
#2 get access to add-ons server (error msg.: "connection refused")

The server rejection is so fast that I suspect some detail in one of my local config files that shuts me off?

Can anybody please help me with tips, hints what to do? Thanks :)
Checking lua scripts... ok
20180723 19:29:51 warning network: Failed to connect to 144.76.5.6: Connection refused
20180723 19:29:51 error network: Tried all IPs. Giving up
20180723 19:29:51 warning network: poll Rethrowing: system:111
20180723 19:29:51 error network: caught network error: Connection refused
20180723 19:29:51 error general: Verbindung fehlgeschlagen: Connection refused

User avatar
Pentarctagon
Forum Administrator
Posts: 3631
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: 1.14 MP server login requirement

Post by Pentarctagon » July 23rd, 2018, 11:30 pm

Whether you are currently logged into the forums or not has nothing to do with being able to connect to the MP server or add-ons server. My guess would be some sort of anti-virus, but this sort of issue is better suited for Technical Support.

edit-
I have also moved the subsequent posts to the Technical Support thread you made.
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code

User avatar
chol
Posts: 33
Joined: September 9th, 2015, 11:19 am

Re: 1.14 MP server login requirement

Post by chol » August 1st, 2018, 9:12 am

Pentarctagon wrote:
July 23rd, 2018, 11:30 pm
Whether you are currently logged into the forums or not has nothing to do with being able to connect to the MP server or add-ons server. My guess would be some sort of anti-virus, but this sort of issue is better suited for Technical Support.

edit-
I have also moved the subsequent posts to the Technical Support thread you made.
The move of my response removed my answer to your handy "anti-virus" suggestion, which is wrong.
There's no anti virus involved - it's some weird behavior of the wesnoth client on Linux.

If I am shut out of access to add-ons server and MP server, as I reported, despite my flawless access to these before I updated from 1.14.3 to 1.14.4, I had to reboot my Linux PC if I wanted to get an empty credentials log-on prompt window. For the deletion of the user config dir and cache did nothing, each time it got overridden by malfunctioning credentials and access was denied.
My problem has to do with autologon and no chance to get an empty log-on window with empty prompts manually. I was searching for the source of the problem and got lost in dirs and sub-dirs and defaults - across multi install/instances of wesnoth (for play/quality check and development of UMC and test of the steam version) ..

User avatar
Pentarctagon
Forum Administrator
Posts: 3631
Joined: March 22nd, 2009, 10:50 pm
Location: Earth (occasionally)

Re: 1.14 MP server login requirement

Post by Pentarctagon » August 1st, 2018, 12:42 pm

chol: If there is some issue happening regarding how Wesnoth handles connecting, then the correct place to try to resolve it is either in Technical Support or by posting an issue to Wesnoth Github, not in this thread. Particularly since the add-ons server doesn't even have an account requirement.
99 little bugs in the code, 99 little bugs
take one down, patch it around
-2,147,483,648 little bugs in the code

p1zza_steve
Posts: 1
Joined: July 28th, 2018, 1:30 pm

Re: 1.14 MP server login requirement

Post by p1zza_steve » August 25th, 2018, 10:36 am

Why I can't login?!

Post Reply